<?
include 'system/funcs.php';
include 'system/sys.php';

if (isset($us) & $us[money]<=3)
{
if ($us['pol']==0){echo "Извените <b>девушка,</b> \n";} else {echo "<b>Извини дружище,</b> \n";}
echo "но сменить ник ты не можешь пока не наберешь <b>50</b> монет<br/>У вас <b>$user[money]</b> Монет\n";
F ();
exit();

}


if (isset($_POST['save'])){
if (isset($_POST['name']))
{
if (isset($us) & $us[money]<=3)
{
msg('Извените, но у Вас не хватает монет! Нужено как минимум 50 монет');
}
else
{
$nick=mysql_real_escape_string(esc($_POST['name']));

if (!preg_match("#^([A-zА-я0-9])+$#ui", $nick))

{
msg('В нике присутствуют запрещенные символы или мат используйте только латиницу, кирилицу и цифры');
}
else
{
if (strlen2($nick)<4)
{
msg('Слишком короткий ник, не менее 4-х симвалов');
}
else
{
if (strlen2($nick)>20)
{
msg('Длина ника превышает 20 символов, придумайте что нибудь покороче');
}
else
{
mysql_query("UPDATE `us` SET `money` = '".($us[money]-50)."' WHERE `id` = '$us[id]' LIMIT 1");

mysql_query("UPDATE `us` SET `nick` = '".mysql_real_escape_string($nick)."' WHERE `id` = '$us[id]' LIMIT 1");
msg('Ник успешно изменен');
}
}
}
}
}
}
err();
aut();

echo '<div class="foot">';

echo '<img src="/style/icons/str2.gif" alt="S"/> <a href="/user/money/">Дополнительные услуги</a> | <b>Смена ника</b>';

echo '</div>';
echo "<div class='nav1'>\n";

echo "<b>Личный счет:</b><br />

- <b><font color='red'>$u[balls]</font></b> баллов.<br />

- <b><font color='green'>$u[money]</font></b> $sMonet[0]";

echo "</div>\n";
echo "<form method='post' action='?$passgen'>\n";

echo"новый ник:<br />";
echo"<input type='text' name='name' value='' /><br />";
echo "<input type='submit' name='save' value='Сменить' />\n";
echo "</form>\n";

echo "Смена ника на нашем сайте стоит 50 монет";
F ();
?>
